#!/usr/bin/env python
"""Django's command-line utility for administrative tasks."""
import os
import sys

# 端口范围1024-65535
# 创建项目：django-admin startproject pro_django
# 修改运行；django_proj  runserver 7890
# 把大象放冰箱：1,2,3
# 创建应用: python manage.py startapp demo
# 应用显示：5步
# 1.settings注册：
# 2.路由分发：
# 3.应用子路由创建：
# 4.应用视图views:
# 5.配置视图路由：
def main():
    """Run administrative tasks."""
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'django_proj.settings')
    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc
    execute_from_command_line(sys.argv)


if __name__ == '__main__':
    main()
